Lookup single agent configuration
deprecated
- Base URL
-
https://{kibana_url}
- POST /api/apm/settings/agent-configuration/search
- POST /s/{space_id}/api/apm/settings/agent-configuration/search
Refer to Spaces for more information.
Warning
This endpoint is intended for internal use by APM agents to fetch their configuration and mark it as applied. Do not use for new integrations. It searches for a single agent configuration matching the given service, and optionally updates the applied_by_agent field when the provided etag matches the current configuration.
Request body
Responses
Successful response
-
_sourceobject -
Agent configuration
Bad Request response
Unauthorized response